IControlNode

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IControlNode

    com.change_vision.jude.api.inf.model.IControlNode

All Implemented Interfaces:
  IActivityNode, IElement, IHyperlinkOwner, INamedElement

public IControlNode
extends IActivityNode

Interface for Control nodes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract boolean` | `isFinalNode()` Check if the node is a FinalNode.
`abstract boolean` | `isForkNode()` Check if the node is a ForkNode.
`abstract boolean` | `isInitialNode()` Check if the node is a InitialNode.
`abstract boolean` | `isJoinNode()` Check if the node is a JoinNode.
`abstract boolean` | `isMergeNode()` Check if the node is a MergeNode.

Methods inherited from class com.change_vision.jude.api.inf.model.IActivityNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isInitialNode

    public abstract boolean isInitialNode()

  Check if the node is a InitialNode.

  Returns:
    true it is a InitialNode / false it is not a InitialNode

### isFinalNode

    public abstract boolean isFinalNode()

  Check if the node is a FinalNode.

  Returns:
    true it is a FinalNode / false it is not a FinalNode

### isForkNode

    public abstract boolean isForkNode()

  Check if the node is a ForkNode.

  Returns:
    true it is a ForkNode / false it is not a ForkNode

### isJoinNode

    public abstract boolean isJoinNode()

  Check if the node is a JoinNode.

  Returns:
    true it is a JoinNode / false it is not a JoinNode

### isMergeNode

    public abstract boolean isMergeNode()

  Check if the node is a MergeNode.

  Returns:
    true it is a MergeNode / false it is not a MergeNode

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD